summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorxengineering <me@xengineering.eu>2022-05-28 16:28:04 +0200
committerxengineering <me@xengineering.eu>2022-05-28 16:28:04 +0200
commit269a4880dc53649222bf0f3a122a61fe4fcddf33 (patch)
tree92edc81ebaca2d3848e2ff7a1e07df28ce9a485d
downloadwebsite-269a4880dc53649222bf0f3a122a61fe4fcddf33.tar
website-269a4880dc53649222bf0f3a122a61fe4fcddf33.tar.zst
website-269a4880dc53649222bf0f3a122a61fe4fcddf33.zip
Add current content
-rw-r--r--webroot/archinstall.sh145
l---------webroot/archlinux1
l---------webroot/css/libweb.css1
-rw-r--r--webroot/favicon.icobin0 -> 6715 bytes
-rw-r--r--webroot/index.html106
-rw-r--r--webroot/robots.txt3
-rw-r--r--webroot/xengineering.asc51
7 files changed, 307 insertions, 0 deletions
diff --git a/webroot/archinstall.sh b/webroot/archinstall.sh
new file mode 100644
index 0000000..dcaa0d0
--- /dev/null
+++ b/webroot/archinstall.sh
@@ -0,0 +1,145 @@
+#!/bin/bash
+
+
+# archinstall - A minimal Installation Script for Arch Linux
+# Copyright (C) 2019 xengineering
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+
+#################################################################
+# _ _ _ _ _ #
+# __ _ _ __ ___| |__ (_)_ __ ___| |_ __ _| | | ___| |__ #
+# / _` | '__/ __| '_ \| | '_ \/ __| __/ _` | | | / __| '_ \ #
+# | (_| | | | (__| | | | | | | \__ \ || (_| | | |_\__ \ | | | #
+# \__,_|_| \___|_| |_|_|_| |_|___/\__\__,_|_|_(_)___/_| |_| #
+# #
+#################################################################
+
+
+# stop at any error to optimize debugging:
+
+set -e
+
+
+##############################################################################
+
+ ############
+ # Settings #
+ ############
+
+# Modify each entry to your needs. Leave every unknown entry as it is.
+# But make sure to EDIT 'path_to_disk'! Run "lsblk" if you are unsure, which
+# is the right one for your machine.
+
+export path_to_disk="/dev/null" # where should Arch Linux be installed (e.g. "/dev/sda")
+export hostname="archlinux" # select the hostname for your installation
+export pacman_mirror_region="DE" # select "all" for all regions
+export luks_encryption="no" # "yes" for full disk encryption, "no" for normal installation
+export path_to_timezone="/usr/share/zoneinfo/Europe/Berlin" # choose your timezone
+export locales_to_generate="de_DE.UTF-8 UTF-8" # currently just one option is allowed
+export language="de_DE.UTF-8"
+export keymap="de-latin1" # the keyboard layout for the installation
+
+##############################################################################
+
+
+# constants
+
+export BRANCH="master" # possible alternatives: "devel" or "feature_<myfeature>"
+export INTERNET_TEST_SERVER="archlinux.org"
+export INTERNET_TEST_PING_TIMEOUT=1 # in seconds
+export FIRST_STAGE_LINK="https://raw.githubusercontent.com/xengineering/archinstall/$BRANCH/stages/first_stage.sh"
+export SECOND_STAGE_LINK="https://raw.githubusercontent.com/xengineering/archinstall/$BRANCH/stages/second_stage.sh"
+export PACKAGE_LIST="base linux linux-firmware grub networkmanager nano sudo git base-devel"
+export DEFAULT_PASSWORD="archinstall"
+
+
+# functions
+
+function print_ok () {
+ # ref. https://en.wikipedia.org/wiki/ANSI_escape_code
+ printf "\033[m[ \033[32mOK\033[m ] $1\n"
+}
+export -f print_ok
+
+function print_failed () {
+ # ref. https://en.wikipedia.org/wiki/ANSI_escape_code
+ printf "\033[m[ \033[31mFAILED\033[m ] $1\n"
+ exit 1
+}
+export -f print_failed
+
+
+# greetings
+
+cat << EOF
+
+#################################################################
+# #
+# Arch Linux Installation Script #
+# #
+# archinstall Copyright (C) 2019 xengineering #
+# This program comes with ABSOLUTELY NO WARRANTY. #
+# This is free software, and you are welcome to redistribute it #
+# under certain conditions. See #
+# <https://www.gnu.org/licenses/gpl-3.0.en.html> for details. #
+# #
+#################################################################
+
+EOF
+
+
+# check bootmode
+
+print_ok "Checking bootmode ..."
+if [ -d "/sys/firmware/efi/efivars" ]; then
+ export boot_mode="uefi"
+ print_ok "Booted with UEFI"
+else
+ export boot_mode="bios"
+ print_ok "Booted with legacy boot / BIOS"
+fi
+
+
+# check internet connection
+
+if ping -w $INTERNET_TEST_PING_TIMEOUT -c 1 $INTERNET_TEST_SERVER; then
+ print_ok "Internet connection is ready"
+else
+ print_failed "Could not reach INTERNET_TEST_SERVER '$INTERNET_TEST_SERVER'"
+fi
+
+
+# update the system clock
+
+timedatectl set-ntp true
+print_ok "Updated system clock"
+
+
+# download and run first stage
+
+print_ok "Downloading and launching first_stage.sh ..."
+curl $FIRST_STAGE_LINK > /root/first_stage.sh
+bash /root/first_stage.sh
+print_ok "first_stage.sh finished"
+
+
+# download, run and delete second stage
+
+print_ok "Downloading and launching second_stage.sh in chroot environment ..."
+curl $SECOND_STAGE_LINK > /mnt/root/second_stage.sh
+echo "bash /root/second_stage.sh" | arch-chroot /mnt
+rm /mnt/root/second_stage.sh
+print_ok "second_stage.sh finished and deleted"
diff --git a/webroot/archlinux b/webroot/archlinux
new file mode 120000
index 0000000..df112ed
--- /dev/null
+++ b/webroot/archlinux
@@ -0,0 +1 @@
+../../archlinux \ No newline at end of file
diff --git a/webroot/css/libweb.css b/webroot/css/libweb.css
new file mode 120000
index 0000000..efe201e
--- /dev/null
+++ b/webroot/css/libweb.css
@@ -0,0 +1 @@
+../../libweb/libweb.css \ No newline at end of file
diff --git a/webroot/favicon.ico b/webroot/favicon.ico
new file mode 100644
index 0000000..969b451
--- /dev/null
+++ b/webroot/favicon.ico
Binary files differ
diff --git a/webroot/index.html b/webroot/index.html
new file mode 100644
index 0000000..29f3ba9
--- /dev/null
+++ b/webroot/index.html
@@ -0,0 +1,106 @@
+<!DOCTYPE html>
+
+<!--
+ vim: shiftwidth=4 tabstop=4 noexpandtab
+-->
+
+<html>
+
+ <head>
+
+ <title>xengineering</title>
+
+ <meta charset="utf-8"/>
+ <meta name="viewport" content="width=device-width, initial-scale=1.0">
+ <link rel="stylesheet" href="/css/libweb.css" type="text/css">
+
+ </head>
+
+ <body>
+
+ <main>
+ <h1>xengineering</h1>
+
+ <p>Welcome to my personal website.</p>
+
+ <div class="card">
+ <h3 class="card-first-item">Contact</h3>
+ <p>Mail: me@xengineering.eu</p>
+ <p>XMPP: xengineering@jabber.de</p>
+ <p class="card-last-item">OpenPGP: <a href="xengineering.asc">A13B 2588 7878 7F94 3F6C 68F0 0FD1 F842 33FA 8900</a></p>
+ </div>
+
+ <h2>Software</h2>
+
+ <p>Use the Git link for a Git clone or to view the project in your browser.</p>
+
+ <ul>
+ <li>
+ birdscan - Software to take beautiful pictures of birds with a Raspberry Pi camera
+ [ <a href="https://cgit.xengineering.eu/birdscan/">Git</a> |
+ <a href="https://cgit.xengineering.eu/birdscan/atom">Atom</a> ]
+ </li>
+ <li>
+ dotfiles - Git repository to track my personal GNU/Linux dotfiles
+ [ <a href="https://cgit.xengineering.eu/dotfiles/">Git</a> |
+ <a href="https://cgit.xengineering.eu/dotfiles/atom">Atom</a> ]
+ </li>
+ <li>
+ iot-barcode-scanner - Service that makes barcode scanners available on the network for IoT usage
+ [ <a href="https://cgit.xengineering.eu/iot-barcode-scanner/">Git</a> |
+ <a href="https://cgit.xengineering.eu/iot-barcode-scanner/atom">Atom</a> ]
+ </li>
+ <li>
+ ledcontrol - Firmware project for the STM32F103C8T6 microcontroller to control LED strips
+ [ <a href="https://cgit.xengineering.eu/ledcontrol/">Git</a> |
+ <a href="https://cgit.xengineering.eu/ledcontrol/atom">Atom</a> ]
+ </li>
+ <li>
+ libweb - Repository with reusable components for web development
+ [ <a href="https://cgit.xengineering.eu/libweb/">Git</a> |
+ <a href="https://cgit.xengineering.eu/libweb/atom">Atom</a> ]
+ </li>
+ <li>
+ pkgbuilds - Repository with packaging files for the Arch Linux build system
+ [ <a href="https://cgit.xengineering.eu/pkgbuilds/">Git</a> |
+ <a href="https://cgit.xengineering.eu/pkgbuilds/atom">Atom</a> ]
+ </li>
+ <li>
+ scripts - Some useful scripts
+ [ <a href="https://cgit.xengineering.eu/scripts/">Git</a> |
+ <a href="https://cgit.xengineering.eu/scripts/atom">Atom</a> ]
+ </li>
+ <li>
+ stlscope - Simple program to view .stl files
+ [ <a href="https://cgit.xengineering.eu/stlscope/">Git</a> |
+ <a href="https://cgit.xengineering.eu/stlscope/atom">Atom</a> ]
+ </li>
+ <li>
+ webiot - Small webserver for my personal Internet of Things (IoT)
+ [ <a href="https://cgit.xengineering.eu/webiot/">Git</a> |
+ <a href="https://cgit.xengineering.eu/webiot/atom">Atom</a> ]
+ </li>
+ <li>
+ xbackup - Convenience wrapper around the Borg backup tool
+ [ <a href="https://cgit.xengineering.eu/xbackup/">Git</a> |
+ <a href="https://cgit.xengineering.eu/xbackup/atom">Atom</a> ]
+ </li>
+ <li>
+ xbot - Software to create simpel chat bots for the XMPP/Jabber protocol
+ <a href="https://cgit.xengineering.eu/xbot/">Git</a> |
+ <a href="https://cgit.xengineering.eu/xbot/atom">Atom</a> ]
+ </li>
+ </ul>
+
+ <p>View a full list of my Git repositories on my <a href="https://cgit.xengineering.eu/">cgit server</a>. This includes archived repositories.</p>
+
+ <br>
+ <hr>
+ <footer>License: <a href="https://creativecommons.org/licenses/by-sa/4.0/">CC BY-SA</a></footer>
+
+ </main>
+
+ </body>
+
+</html>
+
diff --git a/webroot/robots.txt b/webroot/robots.txt
new file mode 100644
index 0000000..581073b
--- /dev/null
+++ b/webroot/robots.txt
@@ -0,0 +1,3 @@
+User-agent: *
+Disallow: /
+Allow: /index.html
diff --git a/webroot/xengineering.asc b/webroot/xengineering.asc
new file mode 100644
index 0000000..3dd126e
--- /dev/null
+++ b/webroot/xengineering.asc
@@ -0,0 +1,51 @@
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+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Vrit
+-----END PGP PUBLIC KEY BLOCK-----